module.exports = function(grunt) {

  var pkg = grunt.file.readJSON('package.json')

  // Project configuration.
  grunt.initConfig({
    sass: {
      dist: {
        options: {
          style: 'compressed'
        },
        files: [{
          expand: true,
          cwd: 'assets/sass',
          src: ['*.sass'],
          dest: 'public/styles',
          ext: '.css'
        }]
      }
    },

    coffee: {
      options: {
        sourceMap: true,
        style: 'compressed'
      },
      files: {
        expand: true,
        flatten: true,
        cwd: 'assets/coffee',
        src: ['*.coffee'],
        dest: 'public/js',
        ext: '.js'
      }
    },

    watch: {
      css: {
        files: ['assets/sass/*.sass'],
        tasks: ['sass'],
        options: {
          atBegin: true,
          spawn: false
        }
      },
      js: {
        files: ['assets/coffee/*.coffee'],
        tasks: ['coffee'],
        options: {
          atBegin: true,
          spawn: false
        }
      }
    }
  });

  // Load task plugins
  grunt.loadNpmTasks('grunt-contrib-sass');
  grunt.loadNpmTasks('grunt-contrib-coffee');
  grunt.loadNpmTasks('grunt-contrib-watch');

  // Default task(s).
  grunt.registerTask('default', ['sass', 'coffee']);

};
